# /etc/packaging.spec configuration file

# where to send built packages
packages-directory: /usr/local/baguette/pkg/
# where to download sources
sources-directory:  /usr/local/baguette/src/

# where to build packages
working-directory: /tmp/packaging

# the slot we want for our packages
slotting: /usr/baguette

# prefixes for `packaging` running environment and child processes
# a.k.a. where to search for binaries during the build
prefixes:
	- /usr/baguette/
	- /

# list of environment variables when building
environment:
	# we may choose another compiler, provide some CFLAGS, etc.
	- CC: clang
	- CFLAGS: -Os -Wall

	# next three parameters have special meaning
	# to provide parameters to the `./configure` script when building
	- configure: --disable-nls --without-gettext

	# to provide parameters to the `make` command
	- make:

	# to provide parameters to the final `make install` command
	- make install:

# wanna build for another system? not a problem, just add the back-end (we currently have `apk` and `package`)
package-manager: package

